netatalk: mac_hebrew.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
mac_hebrew.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <arpa/inet.h>`
`#include <atalk/unicode.h>`
`#include <atalk/logger.h>`
`#include <atalk/byteorder.h>`
`#include "mac_hebrew.h"`

## Functions
static size_t | mac_hebrew_pull (void *, char **, size_t *, char **, size_t *)
static size_t | mac_hebrew_push (void *, char **, size_t *, char **, size_t *)
static int | char_ucs2_to_mac_hebrew (unsigned char *r, ucs2_t wc)
static int | char_mac_hebrew_to_ucs2 (ucs2_t *pwc, const unsigned char *s)

## Variables
struct charset_functions | charset_mac_hebrew

## Function Documentation

## ◆ char_mac_hebrew_to_ucs2()

int char_mac_hebrew_to_ucs2 | ( | ucs2_t * | pwc,
|  | const unsigned char * | s )
| static

## ◆ char_ucs2_to_mac_hebrew()

int char_ucs2_to_mac_hebrew | ( | unsigned char * | r,
|  | ucs2_t | wc )
| static

from unicode to mac hebrew code page

## ◆ mac_hebrew_pull()

size_t mac_hebrew_pull | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## ◆ mac_hebrew_push()

size_t mac_hebrew_push | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## Variable Documentation

## ◆ charset_mac_hebrew

struct charset_functions charset_mac_hebrew

Initial value:
= {
"MAC_HEBREW",
5,
mac_hebrew_pull,
mac_hebrew_push,
CHARSET_CLIENT | CHARSET_MULTIBYTE,
NULL,
NULL,
NULL
}
mac_hebrew_pull
static size_t mac_hebrew_pull(void *, char **, size_t *, char **, size_t *)
Definition mac_hebrew.c:162
mac_hebrew_push
static size_t mac_hebrew_push(void *, char **, size_t *, char **, size_t *)
Definition mac_hebrew.c:87
CHARSET_MULTIBYTE
#define CHARSET_MULTIBYTE
Definition unicode.h:32
CHARSET_CLIENT
#define CHARSET_CLIENT
Definition unicode.h:28
NULL
#define NULL
Definition utf8util.c:47